
Foreman - Bug #4179

Invalid value for field 'resource.networkInterfaces[0].accessConfigs[0].natIP': 'false'.  Must be an IP

address

01/24/2014 01:30 PM - Lloyd Oliver

Status: Closed   

Priority: High   

Assignee: Kavita Gaikwad   

Category: Compute resources - GCE   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When using GCE as a compute provider, spinning up a new instance results in;

Fog error: Invalid value for field 'resource.networkInterfaces[0].accessConfigs[0].natIP': 'false'

.  Must be an IP address

which fails the provisioning of a new instance. The external IP address option on the "virtual machine" can be selected or unselected,

both result in the same error.

This was also present in a previous version of fog but has since been fixed https://github.com/fog/fog/pull/2377    

full error - http://fpaste.org/71294/05694951/

System Info:

GCE Instance - Debian GNU/Linux 7.3 (wheezy)

foreman 1.4.0-RC2 (including foreman-compute & foreman-gce)

puppet 3.4.2

fog (1.19.0)

google-api-client (0.7.1)

ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-linux]

Related issues:

Related to Foreman - Bug #26473: [Google Compute Resource] fix broken changes... Closed

Has duplicate Foreman - Bug #14132: Cannot provision GCE instance with extern... Duplicate

Associated revisions

Revision 26716028 - 04/08/2019 09:28 AM - Kavita Gaikwad

Fixes #4179 - handled ephemeral public IP

With this commit, it will allow user to create

ephemeral public IP as external_ip field removed from APIs

History

#1 - 01/24/2014 01:31 PM - Dominic Cleal

- translation missing: en.field_release deleted (2)

#2 - 09/26/2014 07:24 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - GCE

#3 - 02/13/2019 09:47 AM - Kavita Gaikwad

- Assignee set to Kavita Gaikwad

#4 - 02/13/2019 10:01 AM - Kavita Gaikwad
https://github.com/fog/fog/pull/2377
http://fpaste.org/71294/05694951/


- Has duplicate Bug #14132: Cannot provision GCE instance with external IP flag added

#5 - 03/28/2019 09:18 AM - Kavita Gaikwad

- Related to Bug #26473: [Google Compute Resource] fix broken changes with latest API changes and fog-google gem update added

#6 - 04/08/2019 09:31 AM - Tomer Brisker

- Fixed in Releases 1.22.0 added

#7 - 04/08/2019 10:01 AM - Kavita Gaikwad

- Status changed from New to Closed

Applied in changeset 26716028ad66ddd692a60b5892e062a6782f1d46.
